<?xml version="1.0" encoding="UTF-8"?><web-app id="WebApp_ID" version="2.5" xmlns="http://java.sun.com/xml/ns/javaee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd">
    <servlet>
        <servlet-name>SpecAppServlet</servlet-name>
        <servlet-class>org.spec.jent.servlet.SpecAppServlet</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>LoaderServlet</servlet-name>
        <servlet-class>org.spec.jent.loader.LoaderServlet</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>SpecJhome</servlet-name>
        <jsp-file>/SpecJhome.jsp</jsp-file>
    </servlet>
    <servlet>
        <servlet-name>welcome</servlet-name>
        <jsp-file>/welcome.jsp</jsp-file>
    </servlet>
    <servlet>
        <servlet-name>dealerinventory</servlet-name>
        <jsp-file>/dealerinventory.jsp</jsp-file>
    </servlet>
    <servlet>
        <servlet-name>order</servlet-name>
        <jsp-file>/order.jsp</jsp-file>
    </servlet>
    <servlet>
        <servlet-name>purchase</servlet-name>
        <jsp-file>/purchase.jsp</jsp-file>
    </servlet>
    <servlet>
        <servlet-name>shoppingcart</servlet-name>
        <jsp-file>/shoppingcart.jsp</jsp-file>
    </servlet>
    <servlet>
        <servlet-name>error</servlet-name>
        <jsp-file>/error.jsp</jsp-file>
    </servlet>
    <servlet>
        <servlet-name>mfghome</servlet-name>
        <jsp-file>/mfghome.jsp</jsp-file>
    </servlet>
    <servlet>
        <servlet-name>mfgschedulewo</servlet-name>
        <jsp-file>/mfgschedulewo.jsp</jsp-file>
    </servlet>
    <servlet>
        <servlet-name>mfgwelcome</servlet-name>
        <jsp-file>/mfgwelcome.jsp</jsp-file>
    </servlet>
    <servlet>
        <servlet-name>mfgworkorder</servlet-name>
        <jsp-file>/mfgworkorder.jsp</jsp-file>
    </servlet>
    <servlet>
        <servlet-name>dealership_incl_footer</servlet-name>
        <jsp-file>/dealership_incl_footer.jsp</jsp-file>
    </servlet>
    <servlet>
        <servlet-name>atomicity</servlet-name>
        <jsp-file>/atomicity.jsp</jsp-file>
    </servlet>
    <servlet>
        <servlet-name>cachetest</servlet-name>
        <jsp-file>/cachetest.jsp</jsp-file>
    </servlet>
    <servlet-mapping>
        <servlet-name>SpecAppServlet</servlet-name>
        <url-pattern>/app</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>LoaderServlet</servlet-name>
        <url-pattern>/load</url-pattern>
    </servlet-mapping>
    <welcome-file-list>
        <welcome-file>index.html</welcome-file>
        <welcome-file>index.htm</welcome-file>
        <welcome-file>index.jsp</welcome-file>
        <welcome-file>default.html</welcome-file>
        <welcome-file>default.htm</welcome-file>
        <welcome-file>default.jsp</welcome-file>
    </welcome-file-list>
    <env-entry>
        <description>The debug level of the bean - higher value means more information</description>
        <env-entry-name>debuglevel</env-entry-name>
        <env-entry-type>java.lang.Integer</env-entry-type>
        <env-entry-value>0</env-entry-value>
    </env-entry>
    <env-entry>
        <description>Used to state if web to ejb tier uses local interfaces</description>
        <env-entry-name>localwebtoejb</env-entry-name>
        <env-entry-type>java.lang.Boolean</env-entry-type>
        <env-entry-value>true</env-entry-value>
    </env-entry>
    <ejb-ref>
        <ejb-ref-name>ejb/CustomerSessionRemote</ejb-ref-name>
        <ejb-ref-type>Session</ejb-ref-type>
        <remote>org.spec.jent.ejb.orders.session.CustomerSessionRemote</remote>
        <ejb-link>CustomerSession</ejb-link>
    </ejb-ref>
    <ejb-ref>
        <ejb-ref-name>ejb/MfgAuditSessionRemote</ejb-ref-name>
        <ejb-ref-type>Session</ejb-ref-type>
        <remote>org.spec.jent.ejb.mfg.session.MfgAuditSessionRemote</remote>
        <ejb-link>MfgAuditSession</ejb-link>
    </ejb-ref>
    <ejb-ref>
        <ejb-ref-name>ejb/MfgSessionRemote</ejb-ref-name>
        <ejb-ref-type>Session</ejb-ref-type>
        <remote>org.spec.jent.ejb.mfg.session.MfgSessionRemote</remote>
        <ejb-link>MfgSession</ejb-link>
    </ejb-ref>
    <ejb-ref>
        <ejb-ref-name>ejb/WorkOrderSessionRemote</ejb-ref-name>
        <ejb-ref-type>Session</ejb-ref-type>
        <remote>org.spec.jent.ejb.mfg.session.WorkOrderSessionRemote</remote>
        <ejb-link>WorkOrderSession</ejb-link>
    </ejb-ref>
    <ejb-ref>
        <ejb-ref-name>ejb/ItemBrowserSessionRemote</ejb-ref-name>
        <ejb-ref-type>Session</ejb-ref-type>
        <remote>org.spec.jent.ejb.orders.session.ItemBrowserSessionRemote</remote>
        <ejb-link>ItemBrowserSession</ejb-link>
    </ejb-ref>
    <ejb-ref>
        <ejb-ref-name>ejb/OrderAuditSessionRemote</ejb-ref-name>
        <ejb-ref-type>Session</ejb-ref-type>
        <remote>org.spec.jent.ejb.orders.session.OrderAuditSessionRemote</remote>
        <ejb-link>OrderAuditSession</ejb-link>
    </ejb-ref>
    <ejb-ref>
        <ejb-ref-name>ejb/OrderSessionRemote</ejb-ref-name>
        <ejb-ref-type>Session</ejb-ref-type>
        <remote>org.spec.jent.ejb.orders.session.OrderSessionRemote</remote>
        <ejb-link>OrderSession</ejb-link>
    </ejb-ref>
    <ejb-ref>
        <ejb-ref-name>ejb/SupplierAuditSessionRemote</ejb-ref-name>
        <ejb-ref-type>Session</ejb-ref-type>
        <remote>org.spec.jent.ejb.supplier.session.SupplierAuditSessionRemote</remote>
        <ejb-link>SupplierAuditSession</ejb-link>
    </ejb-ref>
    <ejb-ref>
        <ejb-ref-name>ejb/SupplierSessionRemote</ejb-ref-name>
        <ejb-ref-type>Session</ejb-ref-type>
        <remote>org.spec.jent.ejb.supplier.session.SupplierSessionRemote</remote>
        <ejb-link>SupplierSession</ejb-link>
    </ejb-ref>
    <ejb-local-ref>
        <ejb-ref-name>ejb/CustomerSessionLocal</ejb-ref-name>
        <ejb-ref-type>Session</ejb-ref-type>
        <local>org.spec.jent.ejb.orders.session.CustomerSessionLocal</local>
        <ejb-link>CustomerSession</ejb-link>
    </ejb-local-ref>
    <ejb-local-ref>
        <ejb-ref-name>ejb/MfgAuditSessionLocal</ejb-ref-name>
        <ejb-ref-type>Session</ejb-ref-type>
        <local>org.spec.jent.ejb.mfg.session.MfgAuditSessionLocal</local>
        <ejb-link>MfgAuditSession</ejb-link>
    </ejb-local-ref>
    <ejb-local-ref>
        <ejb-ref-name>ejb/MfgSessionLocal</ejb-ref-name>
        <ejb-ref-type>Session</ejb-ref-type>
        <local>org.spec.jent.ejb.mfg.session.MfgSessionLocal</local>
        <ejb-link>MfgSession</ejb-link>
    </ejb-local-ref>
    <ejb-local-ref>
        <ejb-ref-name>ejb/WorkOrderSessionLocal</ejb-ref-name>
        <ejb-ref-type>Session</ejb-ref-type>
        <local>org.spec.jent.ejb.mfg.session.WorkOrderSessionLocal</local>
        <ejb-link>WorkOrderSession</ejb-link>
    </ejb-local-ref>
    <ejb-local-ref>
        <ejb-ref-name>ejb/ItemBrowserSessionLocal</ejb-ref-name>
        <ejb-ref-type>Session</ejb-ref-type>
        <local>org.spec.jent.ejb.orders.session.ItemBrowserSessionLocal</local>
        <ejb-link>ItemBrowserSession</ejb-link>
    </ejb-local-ref>
    <ejb-local-ref>
        <ejb-ref-name>ejb/OrderAuditSessionLocal</ejb-ref-name>
        <ejb-ref-type>Session</ejb-ref-type>
        <local>org.spec.jent.ejb.orders.session.OrderAuditSessionLocal</local>
        <ejb-link>OrderAuditSession</ejb-link>
    </ejb-local-ref>
    <ejb-local-ref>
        <ejb-ref-name>ejb/OrderSessionLocal</ejb-ref-name>
        <ejb-ref-type>Session</ejb-ref-type>
        <local>org.spec.jent.ejb.orders.session.OrderSessionLocal</local>
        <ejb-link>OrderSession</ejb-link>
    </ejb-local-ref>
    <ejb-local-ref>
        <ejb-ref-name>ejb/SupplierAuditSessionLocal</ejb-ref-name>
        <ejb-ref-type>Session</ejb-ref-type>
        <local>org.spec.jent.ejb.supplier.session.SupplierAuditSessionLocal</local>
        <ejb-link>SupplierAuditSession</ejb-link>
    </ejb-local-ref>
    <ejb-local-ref>
        <ejb-ref-name>ejb/SupplierSessionLocal</ejb-ref-name>
        <ejb-ref-type>Session</ejb-ref-type>
        <local>org.spec.jent.ejb.supplier.session.SupplierSessionLocal</local>
        <ejb-link>SupplierSession</ejb-link>
    </ejb-local-ref>
    <ejb-local-ref>
        <ejb-ref-name>ejb/LoaderSessionLocal</ejb-ref-name>
        <ejb-ref-type>Session</ejb-ref-type>
        <local>org.spec.jent.loader.session.LoaderSessionLocal</local>
        <ejb-link>LoaderSession</ejb-link>
    </ejb-local-ref>
    <ejb-local-ref>
        <ejb-ref-name>org.spec.jent.loader.LoaderServlet/loader</ejb-ref-name>
        <ejb-ref-type>Session</ejb-ref-type>
        <local>org.spec.jent.loader.session.LoaderSessionLocal</local>
        <ejb-link>specj.jar#LoaderSession</ejb-link>
        <injection-target>
            <injection-target-class>org.spec.jent.loader.LoaderServlet</injection-target-class>
            <injection-target-name>loader</injection-target-name>
        </injection-target>
    </ejb-local-ref>
</web-app>